Name:                maven-osgi
Version:             0.2.0
Release:             3
Epoch:               1
Summary:             Library for Maven-OSGi integration
License:             ASL 2.0
URL:                 http://maven.apache.org/shared/maven-osgi
BuildArch:           noarch
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-osgi-0.2.0 maven-osgi-0.2.0
# find -name *.jar -delete
# tar caf maven-osgi-0.2.0.tar.xz maven-osgi-0.2.0/
Source0:             %{name}-%{version}.tar.xz
Source1:             http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:       maven-local mvn(biz.aQute:bndlib) mvn(org.apache.maven:maven-project)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-metadata)
Obsoletes:           maven-shared-osgi < %{epoch}:%{version}-%{release}
Provides:            maven-shared-osgi = %{epoch}:%{version}-%{release}
%description
Library for Maven-OSGi integration.
This is a replacement package for maven-shared-osgi

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
API documentation for %{name}.

%prep
%setup -q
cp -p %{SOURCE1} LICENSE
sed -i 's/import aQute\.lib\.osgi/import aQute.bnd.osgi/g' src/main/java/org/apache/maven/shared/osgi/DefaultMaven2OsgiConverter.java
%pom_xpath_set "pom:plugin[pom:artifactId[text()='plexus-maven-plugin']]//pom:goal[text()='descriptor']" generate-metadata
%pom_xpath_set "pom:artifactId[text()='plexus-maven-plugin']" plexus-component-metadata

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Fri Nov 11 2022 caodongxia <caodongxia@h-partners.com> - 1:0.2.0-3
- Modify invalid source0

* Mon Aug 24 2020 chengzihan <chengzihan2@huawei.com> - 1:0.2.0-2
- Fix packaging problem that caused the compiler problem of glassfish-hk2

* Fri Jul 31 2020 yanan li <liyanan032@huawei.com> - 1:0.2.0-1
- Package init
